Bug 307081 - [HTS5.1.1][harness][x86_64][EL4] - HTS should require dbus-python
[HTS5.1.1][harness][x86_64][EL4] - HTS should require dbus-python
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5
All Linux
low Severity low
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 10:15 EDT by Satyabrata Maitra
Modified: 2007-10-16 06:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: hts-5.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 06:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2007-09-26 10:15:45 EDT
Description of problem:
When testing hts5.1.1 on EL4-U6 system, just after installing hts package, once
execute the command hts plan --server X.X.X.X ; its giving the following
traceback error:-
[root@nec-em7 ~]# hts plan --server 10.12.5.4
Traceback (most recent call last):
  File "/usr/bin/hts", line 24, in ?
    from hts.hardwaretest import HardwareTestHarness
  File "/usr/share/hts/lib/hts/hardwaretest.py", line 25, in ?
    from dbus import dbus_bindings
ImportError: No module named dbus

Version-Release number of selected component (if applicable):
hts-5.1-1.el4

How reproducible:
attempted once and reproduced once!

Steps to Reproduce:
1. Install hts on EL4-U6-AS
2. Execute the command hts plan --server X.X.X.X(server's IP address)
3. Observe the messages or traceback error on Gnome-terminal
  
Actual results:
not prodcing plan for hts test

Expected results:
It should list the hts plan for hardware for x86_64 arch

Additional info:
Comment 1 Greg Nichols 2007-09-26 12:54:37 EDT
Does the system tested have the dbus-python rpm installed? 
Comment 2 Satyabrata Maitra 2007-09-27 04:30:53 EDT
No, it was not installed in the system. And after i installed it, the problem
solved!
Thanx! :)
Comment 3 Greg Nichols 2007-09-27 08:48:58 EDT
so it looks as though we need to have the hts RPM require dbus-python - changing
the summary.
Comment 4 Greg Nichols 2007-10-03 20:50:57 EDT
Fixed in R4
Comment 5 Satyabrata Maitra 2007-10-16 06:57:30 EDT
Retested this bug.
This is Fixed in R4 now.

Version of the component Tested :
hts-5.1-4.

Tree Followed :
RHEL4-U6-AS-20071011.0

Note You need to log in before you can comment on or make changes to this bug.